Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08239 Crash/Freeze Major Always Mar 1, 2022, 02:02 17 days ago
Tester danq989 View Status Public Platform MAME (Official Binary)
Assigned To R. Belmont Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver apple2gs.cpp
Version 0.240 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit 54b1e34 Github Pull Request #
Summary MESS-specific 08239: apple2gs, apple2gsr1: Diversi-Tune 1.1 crashes/hangs emulation on song start of playback
Description When running Diversi-Tune 1.1 self-booting 3.5 disk image splash screen loads and "Intro" screen appears, but then freezes and no sound is output.

When Diversi-Tune 1.1 HD-installed application is run from GSOS 6.04 finder, initial menu is reached and works fine, but as soon as a song is loaded/played, emulation freezes and no sound is output.
Steps To Reproduce Boot 3.5" disk image: https://www.whatisthe2gs.apple2.org.za/files/DiversiTunev11/2Image/Diversi_Tune.zip
Wait for intro screen, immediate emulation freeze with no sound output

Or run Diversi-Tune 1.1 from https://www.whatisthe2gs.apple2.org.za/files/Audio_and_Utilities.zip
Then select a song to play, then emulation freezes with no sound output
Additional Information cmdline for 3.5" image:
apple2gsr1 -ramsize 4194304 -fdc:0 525 -fdc:1 525 -fdc:2 35dd -fdc:3 35dd -gameio joy -modem `"`" -printer `"`" -sl1 `"`" -sl2 `"`" -sl3 `"`" -sl4 `"`" -sl5 `"`" -sl6 `"`" -sl7 scsi -sl7:scsi:scsibus:0 harddisk -sl7:scsi:scsibus:1 harddisk -sl7:scsi:scsibus:2 harddisk -sl7:scsi:scsibus:3 harddisk -sl7:scsi:scsibus:4 harddisk -sl7:scsi:scsibus:5 harddisk -sl7:scsi:scsibus:6 harddisk -floppydisk1 `"`" -floppydisk2 `"`" -floppydisk3 "D:\Emulator\AppleIIGS\2mg\DIVERSI.2MG" -floppydisk4 `"`" -window -nomaximize
Github Commit
Flags
Regression Version
Affected Sets / Systems apple2gs, apple2gsr1
Attached Files
png file icon DiversiTune1v1_crash_screen_MAME240.png (777,789 bytes) Mar 1, 2022, 02:02 Uploaded by danq989
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.19867
R. Belmont
Developer
Mar 3, 2022, 02:59
Control-Apple-Reset will reboot the emulated IIgs correctly in this situation and the emulator itself remains responsive, so it's not a MAME crash/freeze as we'd usually define it.

The cause is that DiversiTune doesn't try to enable any Ensoniq oscillators to generate timing interrupts. It's not clear why that is.
User avatar
No.19884
danq989
Tester
Mar 10, 2022, 17:11
Note that Diversi-Tune 1.1 does not freeze and plays correct sound in KEGS-based emulators GSPort Windows v0.31, gsplus-win-sdl v0.14, and ActiveGS 3.7.1019. Perhaps looking at their ensoniq driver source-code will reveal something?